• Welcome to Simple Machines Community Forum. Please login or sign up.
October 17, 2021, 01:08:30 AM

News:

Bored?  Looking to kill some time?  Want to chat with other SMF users?  Join us in IRC chat or Discord


Error when trying to upgrade 1.1.15 to 1.1.16

Started by topthumb, December 23, 2011, 01:45:19 AM

Previous topic - Next topic

Illori

not all zip software does the zip the same way, and your server has to be able to unzip it, so some zip software programs just dont work well with the zip software on linux servers.

kat

7-zip and zip are totally different. 7-zip won't work, at all. No way, Jose.

LG965

Finally Solved!
Unzip the package, take the three files and create a zip file, but DO NOT USE 7ZIP software will not work. I used the win7 integrated compressor.
Then upload it as a package.

kat


topthumb

Quote from: Illori on December 23, 2011, 05:52:05 AM
do you have any version emulation mods installed? if so you need to reset the mod to the current version and try applying the patch again.

Don't think so, here are the only mods I have:
1.    SMF 1.0.20 / 1.1.12 Update    1.0
2.    notCaptcha    1.06.2    
3.    Stop Spammer    2.3.7    
4.    Aeva Media    1.1b    
5.    Stop Spammer    2.3.9
6.    SMF 1.0.21 / 1.1.13 Update
7.    SMF 1.1.15 Update    1.0
8.    SMF 1.1.14 Update    1.0

stt442

December 23, 2011, 09:06:05 AM #25 Last Edit: December 23, 2011, 09:11:56 AM by stt442
Quote from: K@ on December 23, 2011, 08:54:41 AM
7-zip and zip are totally different. 7-zip won't work, at all. No way, Jose.
I meant I used 7-Zip software to create the zip archive.

Anyway, maybe the official update package could be rearchived with some other software to make it work in all systems.

topthumb

OK, I tried all the solutions by unzipping the file and zipping it back and tried to upload it to my package folder and it says "The package you tried to upload either is not a valid package or has become corrupted." I zipped it up using Winzip so there should be no problem. I also tried uploading it directly to the package folder via FTP and although it uploads, the package manager does not see it at all.

BTW, I have 6 different forums running the same 1.1.15 version and none of them will update.

Illori

try using the windows default compressing feature instead of a zip application

LiroyvH

If you are playing with zipping the package manager upgrade, why not simply download the small update package that has been released? :) Will do just the same, all you need to do is run a PHP file.

Anyway,
please check if this problem is solved now. The server was having issues which are fixed now, give it a few minutes to recover and then try again. Thank you.
((U + C + I)x(10 − S)) / 20xAx1 / (1 − sin(F / 10))
President/CEO of Simple Machines - Server Manager
Please do not PM for support - anything else is usually OK.

Argonaut

Quote from: CoreISP on December 23, 2011, 10:54:26 AM
If you are playing with zipping the package manager upgrade, why not simply download the small update package that has been released? :) Will do just the same, all you need to do is run a PHP file.

Anyway,
please check if this problem is solved now. The server was having issues which are fixed now, give it a few minutes to recover and then try again. Thank you.


Hmm. Good idea.  :)

topthumb

It's funny that with all the previous upgrades everything worked perfectly by just clicking on the update link in the admin section but now we have to jump through hoops to do the same thing with this new upgrade. It seems to me that somehow SMF changed the way they compressed the file to make it like this.

I finally got it to work but I had to completely unistall my Winzip program which I've used for years and Always worked before and then compressed the files with Windows instead. Same computer, same forums, same servers. Really no valid reason for changing things up like you did I think.

Thanks for helping out though.

tragidy

Thanks for helping, gnuzip works great too.

Question, though will the update package manager be addressed for this anytime?
Open source Matters, the GNU GPL License is one of the most valuable text ever created by mankind.
Support all open source projects when possible as their concepts are paving the future. ~ tragidy

LiroyvH

I dont think this is a intentional thing ;)
And you can expect it to be solved.

3 choices:
- go through the hoops
- have patience and wait for the fix
- simply download the manual update package from our download page and use that instead... ;)
((U + C + I)x(10 − S)) / 20xAx1 / (1 − sin(F / 10))
President/CEO of Simple Machines - Server Manager
Please do not PM for support - anything else is usually OK.

Mark Walter

The automatic function is now working on my Windows based SMF installs.  Try the auto update again, I think it should work this time.

topthumb

I'm sure it wasn't intentional but it happened and it seems when someone has a problem, it's always our fault and a lot of times it is until you realize it was a problem then you say have patience while at the same time we are scrambling to fix things that don't need fixing. I hope you understand what I'm saying.

It's too close to Xmas time to worry about this and the problem seems to have been addressed so thank you and hope everyone has the best of holidays.

rob54

Quote from: K@ on December 23, 2011, 08:02:07 AM
Actually, on this occasion, let's say "To Hell with it!"

Zip attached.

If anyone wants to give me any grief about it, let 'em. :)

Only way that worked for me too so thank you. For some reason I couldn't suss out how to convert the original update file in .tar.gz format to .zip  >:(

No grief from me!

SleePy

Jeremy D — Site Team / SMF Developer
Support the SMF Support team!
Profiles:GitHub
Join us on IRC Libera.chat/#smf

SimpleJoe

December 23, 2011, 03:08:28 PM #37 Last Edit: December 23, 2011, 03:14:58 PM by Simple Joe
Having same issue on the first two forums I tried where I previously had no such issue. Linux server.  hoping this can be solved on the SMF side so it works like past updates have.

Also should mention the second forum I tried has no mods installed (aside from previous SMF updates).
Hosting Simple Machines since YaBB -- One of the first SMF Forum Hosting providers with Chat and FTP for the inner developer in us all.

carbar57

December 23, 2011, 03:26:04 PM #38 Last Edit: December 23, 2011, 03:29:27 PM by carbar57
Tried suggestions said in here but still no success

Now I get this
QuoteDatabase Error
You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '' at line 21
File: /home/okviewme/public_html/clownsforum.com/Sources/MessageIndex.php
Line: 454

Note: It appears that your database may require an upgrade. Your forum's files are currently at version SMF 1.1.16, while your database is at version 1.1.11. The above error might possibly go away if you execute the latest version of upgrade.php.

Any ideas?

Illori

this thread has been marked solved, please open separate threads for your issues

Advertisement: